#!/bin/bash -f

export BINDIR=/usr/local/powerx/bin
export TARGET=powerpc-powerx-elf-

export FLAG="chgflag"

if [ -f $FLAG ] ; then
  echo "Already patched" ;
else
  export SRC="libc/time/Makefile" ;
  export DST="libc/time/Makefile.org" ;
  mv $SRC $DST ;
  sed 's/-DHAVE_OPENDIR/-DHAVE_GETTIMEOFDAY -DHAVE_OPENDIR/' $DST > $SRC ;
  export SRC="libm/machine/Makefile" ;
  export DST="libm/machine/Makefile.org" ;
  echo "all :" > $SRC ;
  echo "	@echo notarget" >> $SRC ;
  touch $FLAG ;
fi

make "CFLAGS=-O2 -mmultiple" "CC=$BINDIR/"$TARGET"gcc" "AR=$BINDIR/"$TARGET"ar" "RANLIB=$BINDIR/"$TARGET"ranlib" sys_dir=powerx "MAKE=make sys_dir=powerx machine_dir=powerpc"


